﻿using Infragistics.Controls.Schedules;
using Infragistics.Controls.Schedules.Primitives;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
        ObservableCollection<Task> tasks = new ObservableCollection<Task>();

        public MainPage()
        {
            InitializeComponent();
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });


            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });


            appointments.Add(new Appointment
            {
                Id = "t1",
                OwningCalendarId = "cal1",
                OwningResourceId = "own1",
                Subject = "Appointment 1",
                Description = "My first appointment",
                Start = DateTime.Today.AddHours(9).AddMinutes(12),
                End = DateTime.Today.AddHours(11).AddMinutes(42)

            });


            tasks.Add(new Task
            {
                Id = "t0",
                OwningCalendarId = "cal1",
                OwningResourceId = "own1",
                Start = DateTime.Today.AddHours(9).AddMinutes(12).
                    ToUniversalTime(),
                End = DateTime.Today.AddHours(9).AddMinutes(42).
                    ToUniversalTime(),
                Subject = "Task1 1",
                Description = "My first Task in XAML",
            });

            dataConnector.TimeZoneInfoProviderResolved.LocalTimeZoneId = "UTC";
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.TaskItemsSource = tasks;

        }
    }

    public class BackgroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (!(bool)value)
            {
                return new SolidColorBrush(Colors.Purple);
            }
            return new Binding("ComputedBackgroung") { RelativeSource = new RelativeSource() { AncestorType = typeof(TimeslotPresenter) } };
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
